質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.58%

npmの使用の為にNode.jsをインストールする必要性について

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 276

study_111

score 78

少々気になったことがあるのですが、VueCliで作成したプロジェクトをサーバーでビルドする為に、npmコマンドを使用していますが、npmコマンドを使用する為だけであれば、Node.jsはインストールする必要はないでしょうか?
今までnpmを使う為にNode.jsをインストールしていたのですが、その必要がなければ、Node.jsをインストールせず、npmのみのインストールで良いのではないかと思っています。
こちらの部分につきまして、少々曖昧な理解となっています為、アドバイスの程、頂けましたら幸いです。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

+3

nodejsのパッケージマネージャーがnpmなのでnpmを使う為だけにnodejsのインストールが必要です

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/08/29 12:36

    メインでpython使ってるようなので例としてpython挙げますけど、pythonでも3.7では使えて3.8で使えないモジュールとかありますよね?そういう懸念点を少しでも排除するためにバージョン揃えるのと同じ事ですよ。
    試しにnodejsのバージョンが違う二つの環境を用意して作業してみてください。いずれ(もしくは最初から)エラーにぶち当たります。そしてその時のエラーはバージョンが原因だとか吐いてくれないので、エラーが出てたら原因探るのに苦労して困る事になるかと思います。こうやって事前に教えちゃってるので苦労はしないと思うけど、もし知らない状態だったら難儀するはずです。

    キャンセル

  • 2020/08/29 12:48

    それと開発が14、本番が13だとして、パッケージの14にしかない書き方をしていてそれをパッケージのバージョンだけ揃えて本番に反映しようとしたらエラーになります。

    こうやって説明聞くよりもとりあえず異なるバージョンで試して揃える必要がある理由を実感する方が早いかもしれません。

    キャンセル

  • 2020/08/29 13:19

    ご親切に、ご説明頂きありがとうございます。
    参考になりました。

    キャンセル

+2

`npmコマンドを使用していますが、npmコマンドを使用する為だけであれば、Node.jsはインストールする必要はないでしょうか?

Node.jsは絶対に必要です。

npm installで導入したパッケージは、 JSファイルをnpmライブラリ配布サイトから落としてきているだけなんです。 npxnpm install -gでコマンドラインツールとして持ってきたとしても根っこの部分は変わりません。

JSファイルってなんでしょう? 単なるテキストで書かれたファイルです。 実行者が居ないと何も出来ない。

ここでNode.jsの出番です。 Node.jsを使ってJSファイルを解析→実行しているわけですよ。

例外としてバイナリファイルを導入するnode-gypという仕組みがありますが、
これも最初のバイナリファイルを作るためにPythonやNode.js、GCC等を使っているのでやはりNode.jsは欠かせません。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/08/31 18:02

    > そうなりますと、Node.jsがなくとも、「npm install」を行ないライブラリをインストールした時すでに

    npmのコード自体がJavaScriptで書かれていますので、Node.jsなしでnpmを実行することそのものができません。

    キャンセル

  • 2020/08/31 18:03

    > npm install」を行ないライブラリをインストールした時すでに、JavaScriptが生成され、その結果がサーバに置かれたということになるのでしょうか?

    今までの話聞いてたの?寝てた?レベルのヤバイ質問だ……
    多分、前提知識がかなり不足しているから、
    このまま問答しても勘違いが深まるだけだと思うよ。
    Node.jsの事ちゃんと勉強して必要か不要か判断出来るようになったほうが良いと思う。

    そもそもVue.jsはNode.jsの知識無しに扱うの無理だから
    そういった意味でも急がばまわれで学習すべきだよ。

    キャンセル

  • 2020/08/31 18:07

    >npmのコード自体がJavaScriptで書かれていますので、Node.jsなしでnpmを実行することそのものができません。
    そういうことだったのですね。
    そうなりますと、確かに、Node.jsは必要になってきますよね

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.58%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る